1. Payment
Confirma Finance Integrations API
  • Introduction
  • Authentication
  • Environments
  • Data validation
  • Contact information
  • Go Live & Deployment Guide
  • Services
    • Services
    • Invoice Intermediation service
    • Invoice Lifecycle Service
    • Debt Collection Services
    • Accounting integrations
  • Core endpoints
    • Onboarding
      • Introduction to onboarding
      • Create a new client
      • Validate access token
      • Renew access token
    • Invoices
      • Introduction to Invoices
      • Create an invoice
      • Create an Invoice Action
      • Retrieve case details
      • Retrieve distribution Information
    • Payments
      • Introduction to Payments
      • Retrieve Payments
      • Retrieve settlements
    • Accounting
      • Introduction to accounting
      • Invoice
        • Invoice
      • Ledger
        • Ledger
        • Ledger
      • Payment
        • Payment
          POST
        • Payment
          GET
Need help?
  1. Payment

Payment

GET
https://staging-integrations.confirmafinance.com/api/v1/partner/accounting/payment
paymentaccountingnetvisornetbaron
This endpoint is used to check the status of payment data. It indicates whether the data has been successfully synchronized with the target system, is still queued for processing or if the synchronization has failed.

Request

Authorization
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
Query Params

Responses

🟢200
application/json
Body

Example
{
    "payments": [
        {
            "sourceIdentifier": "abc-123-def-456",
            "invoiceNumber": "12345",
            "paymentDate": "2025-10-15",
            "syncDate": null,
            "status": 0,
            "description": "Pending"
        },
        {
            "sourceIdentifier": "abc-123-def-457",
            "invoiceNumber": "12346",
            "paymentDate": "2025-10-14",
            "syncDate": "2025-10-14",
            "status": 1,
            "description": "Successfully synced"
        }
    ]
}
🟢204No Content
🟠401Unauthorized
Previous
Payment
Built with